#193 Not worken with libmp4v2-1.9.1

2.1.4
closed-out-of-date
nobody
5
2014-08-09
2009-09-01
Anonymous
No

When trien to inport mp4 video file is complains that libmp4v2 not installed, but is (1.9.1). When I downgraded libmp4v2 to 1.5.0.1-r2, gtkpod is worken OK. gtkpod version is 0.99.14_p20090710 with dynamic detection of libmp4v2

Also gtkpod 0.99.14, does not compile with libmp4v2-1.9.1 and gives error.

Is seems like API changed in libmp4v2-1.9.1 and is not compatible with gtkpod anymore

Discussion

  • Jens Pranaitis

    Jens Pranaitis - 2009-09-20

    Same happens here, in the final linking step the following error message is displayed:

    mp4file.o: In function `mp4_write_file_info':
    mp4file.c:(.text+0x8d): undefined reference to `MP4GetMetadataBPM'
    mp4file.c:(.text+0x147): undefined reference to `MP4SetMetadataComposer'
    mp4file.c:(.text+0x196): undefined reference to `MP4SetMetadataReleaseDate'
    mp4file.c:(.text+0x200): undefined reference to `MP4SetMetadataBPM'
    mp4file.c:(.text+0x254): undefined reference to `MP4SetMetadataBPM'
    mp4file.o: In function `mp4_get_file_info':
    mp4file.c:(.text+0x929): undefined reference to `MP4GetMetadataComposer'
    mp4file.c:(.text+0x98b): undefined reference to `MP4GetMetadataReleaseDate'
    mp4file.c:(.text+0xaaa): undefined reference to `MP4GetMetadataBPM'
    collect2: ld returned 1 exit status
    make[2]: *** [gtkpod] Error 1
    make[2]: Leaving directory `/home/build/abs/extra/gtkpod/src/gtkpod-0.99.14/src'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/home/build/abs/extra/gtkpod/src/gtkpod-0.99.14'
    make: *** [all] Error 2

     
  • Samuli Suominen

    Samuli Suominen - 2010-04-22

    This 0.99.14_p20090710 is a Gentoo ebuild, snapshot from version control. This bug was reported 2009-09-01, and ChangeLog from Gentoo,

    10 Sep 2009; Samuli Suominen <ssuominen@gentoo.org>
    gtkpod-0.99.14_p20090710.ebuild,
    +files/gtkpod-0.99.14_p20090710-libmp4v2.patch:
    dlopen libmp4v2.so.1 instead of libmp4v2.so.0 wrt #284471, thanks to

    Notice the date, 2009-09-10, 9 days later it was fixed to detect correct library.

    Also, Gentoo now ships 0.99.16.

    So I think this bug can now be Closed as Fixed.

     
  • phantomjinx

    phantomjinx - 2014-08-09
    • status: open --> closed-out-of-date
    • Group: --> v1.0_(example)
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks